# swagger_client

SwaggerClient - the Ruby gem for the Spinnaker API

No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build swagger_client.gemspec
```

Then either install the gem locally:

```shell
gem install ./swagger_client-1.0.0.gem
```
(for development, run `gem install --dev ./swagger_client-1.0.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'swagger_client', '~> 1.0.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'swagger_client', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'swagger_client'

api_instance = SwaggerClient::AmazonInfrastructureControllerApi.new

begin
  #Get instance types
  result = api_instance.instance_types_using_get
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling AmazonInfrastructureControllerApi->instance_types_using_get: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://gate-spinnaker.devint.gcp.openx.org*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*SwaggerClient::AmazonInfrastructureControllerApi* | [**instance_types_using_get**](docs/AmazonInfrastructureControllerApi.md#instance_types_using_get) | **GET** /instanceTypes | Get instance types
*SwaggerClient::AmazonInfrastructureControllerApi* | [**subnets_using_get**](docs/AmazonInfrastructureControllerApi.md#subnets_using_get) | **GET** /subnets | Get subnets
*SwaggerClient::AmazonInfrastructureControllerApi* | [**vpcs_using_get**](docs/AmazonInfrastructureControllerApi.md#vpcs_using_get) | **GET** /vpcs | Get VPCs
*SwaggerClient::ApplicationControllerApi* | [**cancel_pipeline_using_put**](docs/ApplicationControllerApi.md#cancel_pipeline_using_put) | **PUT** /applications/{application}/pipelines/{id}/cancel | Cancel pipeline
*SwaggerClient::ApplicationControllerApi* | [**cancel_task_using_put**](docs/ApplicationControllerApi.md#cancel_task_using_put) | **PUT** /applications/{application}/tasks/{id}/cancel | Cancel task
*SwaggerClient::ApplicationControllerApi* | [**get_all_applications_using_get**](docs/ApplicationControllerApi.md#get_all_applications_using_get) | **GET** /applications | Retrieve a list of applications
*SwaggerClient::ApplicationControllerApi* | [**get_application_history_using_get**](docs/ApplicationControllerApi.md#get_application_history_using_get) | **GET** /applications/{application}/history | Retrieve a list of an application's configuration revision history
*SwaggerClient::ApplicationControllerApi* | [**get_application_using_get**](docs/ApplicationControllerApi.md#get_application_using_get) | **GET** /applications/{application} | Retrieve an application's details
*SwaggerClient::ApplicationControllerApi* | [**get_pipeline_config_using_get**](docs/ApplicationControllerApi.md#get_pipeline_config_using_get) | **GET** /applications/{application}/pipelineConfigs/{pipelineName} | Retrieve a pipeline configuration
*SwaggerClient::ApplicationControllerApi* | [**get_pipeline_configs_for_application_using_get**](docs/ApplicationControllerApi.md#get_pipeline_configs_for_application_using_get) | **GET** /applications/{application}/pipelineConfigs | Retrieve a list of an application's pipeline configurations
*SwaggerClient::ApplicationControllerApi* | [**get_pipelines_using_get**](docs/ApplicationControllerApi.md#get_pipelines_using_get) | **GET** /applications/{application}/pipelines | Retrieve a list of an application's pipeline executions
*SwaggerClient::ApplicationControllerApi* | [**get_strategy_config_using_get**](docs/ApplicationControllerApi.md#get_strategy_config_using_get) | **GET** /applications/{application}/strategyConfigs/{strategyName} | Retrieve a pipeline strategy configuration
*SwaggerClient::ApplicationControllerApi* | [**get_strategy_configs_for_application_using_get**](docs/ApplicationControllerApi.md#get_strategy_configs_for_application_using_get) | **GET** /applications/{application}/strategyConfigs | Retrieve a list of an application's pipeline strategy configurations
*SwaggerClient::ApplicationControllerApi* | [**get_task_details_using_get**](docs/ApplicationControllerApi.md#get_task_details_using_get) | **GET** /applications/{application}/tasks/{id}/details/{taskDetailsId} | Get task details
*SwaggerClient::ApplicationControllerApi* | [**get_task_using_get**](docs/ApplicationControllerApi.md#get_task_using_get) | **GET** /applications/{application}/tasks/{id} | Get task
*SwaggerClient::ApplicationControllerApi* | [**get_tasks_using_get**](docs/ApplicationControllerApi.md#get_tasks_using_get) | **GET** /applications/{application}/tasks | Retrieve a list of an application's tasks
*SwaggerClient::ApplicationControllerApi* | [**invoke_pipeline_config_using_post**](docs/ApplicationControllerApi.md#invoke_pipeline_config_using_post) | **POST** /applications/{application}/pipelineConfigs/{pipelineName} | Invoke pipeline config
*SwaggerClient::ApplicationControllerApi* | [**task_using_post**](docs/ApplicationControllerApi.md#task_using_post) | **POST** /applications/{application}/tasks | Create task
*SwaggerClient::ArtifactControllerApi* | [**all_using_get**](docs/ArtifactControllerApi.md#all_using_get) | **GET** /artifacts/credentials | Retrieve the list of artifact accounts configured in Clouddriver.
*SwaggerClient::ArtifactControllerApi* | [**artifact_versions_using_get**](docs/ArtifactControllerApi.md#artifact_versions_using_get) | **GET** /artifacts/account/{accountName}/versions | Retrieve the list of artifact versions by account and artifact names
*SwaggerClient::AuthControllerApi* | [**get_service_accounts_using_get**](docs/AuthControllerApi.md#get_service_accounts_using_get) | **GET** /auth/user/serviceAccounts | Get service accounts
*SwaggerClient::AuthControllerApi* | [**logged_out_using_get**](docs/AuthControllerApi.md#logged_out_using_get) | **GET** /auth/loggedOut | Get logged out message
*SwaggerClient::AuthControllerApi* | [**redirect_using_get**](docs/AuthControllerApi.md#redirect_using_get) | **GET** /auth/redirect | Redirect to Deck
*SwaggerClient::AuthControllerApi* | [**sync_using_post**](docs/AuthControllerApi.md#sync_using_post) | **POST** /auth/roles/sync | Sync user roles
*SwaggerClient::AuthControllerApi* | [**user_using_get**](docs/AuthControllerApi.md#user_using_get) | **GET** /auth/user | Get user
*SwaggerClient::BakeControllerApi* | [**bake_options_using_get**](docs/BakeControllerApi.md#bake_options_using_get) | **GET** /bakery/options/{cloudProvider} | Retrieve a list of available bakery base images for a given cloud provider
*SwaggerClient::BakeControllerApi* | [**bake_options_using_get1**](docs/BakeControllerApi.md#bake_options_using_get1) | **GET** /bakery/options | Retrieve a list of available bakery base images, grouped by cloud provider
*SwaggerClient::BakeControllerApi* | [**lookup_logs_using_get**](docs/BakeControllerApi.md#lookup_logs_using_get) | **GET** /bakery/logs/{region}/{statusId} | Retrieve the logs for a given bake
*SwaggerClient::BuildControllerApi* | [**get_build_masters_using_get**](docs/BuildControllerApi.md#get_build_masters_using_get) | **GET** /v2/builds | Get build masters
*SwaggerClient::BuildControllerApi* | [**get_build_using_get**](docs/BuildControllerApi.md#get_build_using_get) | **GET** /v2/builds/{buildMaster}/build/{number}/** | Get build for build master
*SwaggerClient::BuildControllerApi* | [**get_builds_using_get**](docs/BuildControllerApi.md#get_builds_using_get) | **GET** /v2/builds/{buildMaster}/builds/** | Get builds for build master
*SwaggerClient::BuildControllerApi* | [**get_job_config_using_get**](docs/BuildControllerApi.md#get_job_config_using_get) | **GET** /v2/builds/{buildMaster}/jobs/** | Get job config
*SwaggerClient::BuildControllerApi* | [**get_jobs_for_build_master_using_get**](docs/BuildControllerApi.md#get_jobs_for_build_master_using_get) | **GET** /v2/builds/{buildMaster}/jobs | Get jobs for build master
*SwaggerClient::BuildControllerApi* | [**v3_get_build_masters_using_get**](docs/BuildControllerApi.md#v3_get_build_masters_using_get) | **GET** /v3/builds | Get build masters
*SwaggerClient::BuildControllerApi* | [**v3_get_build_using_get**](docs/BuildControllerApi.md#v3_get_build_using_get) | **GET** /v3/builds/{buildMaster}/build/{number} | Get build for build master
*SwaggerClient::BuildControllerApi* | [**v3_get_builds_using_get**](docs/BuildControllerApi.md#v3_get_builds_using_get) | **GET** /v3/builds/{buildMaster}/builds | Get builds for build master
*SwaggerClient::BuildControllerApi* | [**v3_get_job_config_using_get**](docs/BuildControllerApi.md#v3_get_job_config_using_get) | **GET** /v3/builds/{buildMaster}/job | Get job config
*SwaggerClient::BuildControllerApi* | [**v3_get_jobs_for_build_master_using_get**](docs/BuildControllerApi.md#v3_get_jobs_for_build_master_using_get) | **GET** /v3/builds/{buildMaster}/jobs | Get jobs for build master
*SwaggerClient::ClusterControllerApi* | [**get_cluster_load_balancers_using_get**](docs/ClusterControllerApi.md#get_cluster_load_balancers_using_get) | **GET** /applications/{application}/clusters/{account}/{clusterName}/{type}/loadBalancers | Retrieve a cluster's loadbalancers
*SwaggerClient::ClusterControllerApi* | [**get_clusters_using_get**](docs/ClusterControllerApi.md#get_clusters_using_get) | **GET** /applications/{application}/clusters/{account}/{clusterName} | Retrieve a cluster's details
*SwaggerClient::ClusterControllerApi* | [**get_clusters_using_get1**](docs/ClusterControllerApi.md#get_clusters_using_get1) | **GET** /applications/{application}/clusters/{account} | Retrieve a list of clusters for an account
*SwaggerClient::ClusterControllerApi* | [**get_clusters_using_get2**](docs/ClusterControllerApi.md#get_clusters_using_get2) | **GET** /applications/{application}/clusters | Retrieve a list of cluster names for an application, grouped by account
*SwaggerClient::ClusterControllerApi* | [**get_scaling_activities_using_get**](docs/ClusterControllerApi.md#get_scaling_activities_using_get) | **GET** /applications/{application}/clusters/{account}/{clusterName}/serverGroups/{serverGroupName}/scalingActivities | Retrieve a list of scaling activities for a server group
*SwaggerClient::ClusterControllerApi* | [**get_server_groups_using_get**](docs/ClusterControllerApi.md#get_server_groups_using_get) | **GET** /applications/{application}/clusters/{account}/{clusterName}/serverGroups/{serverGroupName} | Retrieve a server group's details
*SwaggerClient::ClusterControllerApi* | [**get_server_groups_using_get1**](docs/ClusterControllerApi.md#get_server_groups_using_get1) | **GET** /applications/{application}/clusters/{account}/{clusterName}/serverGroups | Retrieve a list of server groups for a cluster
*SwaggerClient::ClusterControllerApi* | [**get_target_server_group_using_get**](docs/ClusterControllerApi.md#get_target_server_group_using_get) | **GET** /applications/{application}/clusters/{account}/{clusterName}/{cloudProvider}/{scope}/serverGroups/target/{target} | Retrieve a server group that matches a target coordinate (e.g., newest, ancestor) relative to a cluster
*SwaggerClient::ConcourseControllerApi* | [**jobs_using_get**](docs/ConcourseControllerApi.md#jobs_using_get) | **GET** /concourse/{buildMaster}/teams/{team}/pipelines/{pipeline}/jobs | Retrieve the list of job names for a given pipeline available to triggers
*SwaggerClient::ConcourseControllerApi* | [**pipelines_using_get**](docs/ConcourseControllerApi.md#pipelines_using_get) | **GET** /concourse/{buildMaster}/teams/{team}/pipelines | Retrieve the list of pipeline names for a given team available to triggers
*SwaggerClient::ConcourseControllerApi* | [**resources_using_get**](docs/ConcourseControllerApi.md#resources_using_get) | **GET** /concourse/{buildMaster}/teams/{team}/pipelines/{pipeline}/resources | Retrieve the list of resource names for a given pipeline available to the Concourse stage
*SwaggerClient::CredentialsControllerApi* | [**get_account_using_get**](docs/CredentialsControllerApi.md#get_account_using_get) | **GET** /credentials/{account} | Retrieve an account's details
*SwaggerClient::CredentialsControllerApi* | [**get_accounts_using_get**](docs/CredentialsControllerApi.md#get_accounts_using_get) | **GET** /credentials | Retrieve a list of accounts
*SwaggerClient::EcsServerGroupEventsControllerApi* | [**get_events_using_get**](docs/EcsServerGroupEventsControllerApi.md#get_events_using_get) | **GET** /applications/{application}/serverGroups/{account}/{serverGroupName}/events | Retrieves a list of events for a server group
*SwaggerClient::ExecutionsControllerApi* | [**get_latest_executions_by_config_ids_using_get**](docs/ExecutionsControllerApi.md#get_latest_executions_by_config_ids_using_get) | **GET** /executions | Retrieves an ad-hoc collection of executions based on a number of user-supplied parameters. Either executionIds or pipelineConfigIds must be supplied in order to return any results. If both are supplied, an exception will be thrown.
*SwaggerClient::ExecutionsControllerApi* | [**search_for_pipeline_executions_by_trigger_using_get**](docs/ExecutionsControllerApi.md#search_for_pipeline_executions_by_trigger_using_get) | **GET** /applications/{application}/executions/search | Search for pipeline executions using a combination of criteria. The returned list is sorted by buildTime (trigger time) in reverse order so that newer executions are first in the list.
*SwaggerClient::FirewallControllerApi* | [**all_by_account_using_get**](docs/FirewallControllerApi.md#all_by_account_using_get) | **GET** /firewalls/{account} | Retrieve a list of firewalls for a given account, grouped by region
*SwaggerClient::FirewallControllerApi* | [**all_using_get1**](docs/FirewallControllerApi.md#all_using_get1) | **GET** /firewalls | Retrieve a list of firewalls, grouped by account, cloud provider, and region
*SwaggerClient::FirewallControllerApi* | [**get_security_group_using_get**](docs/FirewallControllerApi.md#get_security_group_using_get) | **GET** /firewalls/{account}/{region}/{name} | Retrieve a firewall's details
*SwaggerClient::ImageControllerApi* | [**find_images_using_get**](docs/ImageControllerApi.md#find_images_using_get) | **GET** /images/find | Retrieve a list of images, filtered by cloud provider, region, and account
*SwaggerClient::ImageControllerApi* | [**find_tags_using_get**](docs/ImageControllerApi.md#find_tags_using_get) | **GET** /images/tags | Find tags
*SwaggerClient::ImageControllerApi* | [**get_image_details_using_get**](docs/ImageControllerApi.md#get_image_details_using_get) | **GET** /images/{account}/{region}/{imageId} | Get image details
*SwaggerClient::InstanceControllerApi* | [**get_console_output_using_get**](docs/InstanceControllerApi.md#get_console_output_using_get) | **GET** /instances/{account}/{region}/{instanceId}/console | Retrieve an instance's console output
*SwaggerClient::InstanceControllerApi* | [**get_instance_details_using_get**](docs/InstanceControllerApi.md#get_instance_details_using_get) | **GET** /instances/{account}/{region}/{instanceId} | Retrieve an instance's details
*SwaggerClient::JobControllerApi* | [**get_job_using_get**](docs/JobControllerApi.md#get_job_using_get) | **GET** /applications/{applicationName}/jobs/{account}/{region}/{name} | Get job
*SwaggerClient::LoadBalancerControllerApi* | [**get_all_using_get**](docs/LoadBalancerControllerApi.md#get_all_using_get) | **GET** /loadBalancers | Retrieve a list of load balancers for a given cloud provider
*SwaggerClient::LoadBalancerControllerApi* | [**get_application_load_balancers_using_get**](docs/LoadBalancerControllerApi.md#get_application_load_balancers_using_get) | **GET** /applications/{application}/loadBalancers | Retrieve a list of load balancers for a given application
*SwaggerClient::LoadBalancerControllerApi* | [**get_load_balancer_details_using_get**](docs/LoadBalancerControllerApi.md#get_load_balancer_details_using_get) | **GET** /loadBalancers/{account}/{region}/{name} | Retrieve a load balancer's details as a single element list for a given account, region, cloud provider and load balancer name
*SwaggerClient::LoadBalancerControllerApi* | [**get_load_balancer_using_get**](docs/LoadBalancerControllerApi.md#get_load_balancer_using_get) | **GET** /loadBalancers/{name} | Retrieve a load balancer for a given cloud provider
*SwaggerClient::NetworkControllerApi* | [**all_by_cloud_provider_using_get**](docs/NetworkControllerApi.md#all_by_cloud_provider_using_get) | **GET** /networks/{cloudProvider} | Retrieve a list of networks for a given cloud provider
*SwaggerClient::NetworkControllerApi* | [**all_using_get2**](docs/NetworkControllerApi.md#all_using_get2) | **GET** /networks | Retrieve a list of networks, grouped by cloud provider
*SwaggerClient::PipelineConfigControllerApi* | [**convert_pipeline_config_to_pipeline_template_using_get**](docs/PipelineConfigControllerApi.md#convert_pipeline_config_to_pipeline_template_using_get) | **GET** /pipelineConfigs/{pipelineConfigId}/convertToTemplate | Convert a pipeline config to a pipeline template.
*SwaggerClient::PipelineConfigControllerApi* | [**get_all_pipeline_configs_using_get**](docs/PipelineConfigControllerApi.md#get_all_pipeline_configs_using_get) | **GET** /pipelineConfigs | Get all pipeline configs.
*SwaggerClient::PipelineConfigControllerApi* | [**get_pipeline_config_history_using_get**](docs/PipelineConfigControllerApi.md#get_pipeline_config_history_using_get) | **GET** /pipelineConfigs/{pipelineConfigId}/history | Get pipeline config history.
*SwaggerClient::PipelineControllerApi* | [**cancel_pipeline_using_put1**](docs/PipelineControllerApi.md#cancel_pipeline_using_put1) | **PUT** /pipelines/{id}/cancel | Cancel a pipeline execution
*SwaggerClient::PipelineControllerApi* | [**delete_pipeline_using_delete**](docs/PipelineControllerApi.md#delete_pipeline_using_delete) | **DELETE** /pipelines/{application}/{pipelineName} | Delete a pipeline definition
*SwaggerClient::PipelineControllerApi* | [**delete_pipeline_using_delete1**](docs/PipelineControllerApi.md#delete_pipeline_using_delete1) | **DELETE** /pipelines/{id} | Delete a pipeline execution
*SwaggerClient::PipelineControllerApi* | [**evaluate_expression_for_execution_using_delete**](docs/PipelineControllerApi.md#evaluate_expression_for_execution_using_delete) | **DELETE** /pipelines/{id}/evaluateExpression | Evaluate a pipeline expression using the provided execution as context
*SwaggerClient::PipelineControllerApi* | [**evaluate_expression_for_execution_using_get**](docs/PipelineControllerApi.md#evaluate_expression_for_execution_using_get) | **GET** /pipelines/{id}/evaluateExpression | Evaluate a pipeline expression using the provided execution as context
*SwaggerClient::PipelineControllerApi* | [**evaluate_expression_for_execution_using_head**](docs/PipelineControllerApi.md#evaluate_expression_for_execution_using_head) | **HEAD** /pipelines/{id}/evaluateExpression | Evaluate a pipeline expression using the provided execution as context
*SwaggerClient::PipelineControllerApi* | [**evaluate_expression_for_execution_using_options**](docs/PipelineControllerApi.md#evaluate_expression_for_execution_using_options) | **OPTIONS** /pipelines/{id}/evaluateExpression | Evaluate a pipeline expression using the provided execution as context
*SwaggerClient::PipelineControllerApi* | [**evaluate_expression_for_execution_using_patch**](docs/PipelineControllerApi.md#evaluate_expression_for_execution_using_patch) | **PATCH** /pipelines/{id}/evaluateExpression | Evaluate a pipeline expression using the provided execution as context
*SwaggerClient::PipelineControllerApi* | [**evaluate_expression_for_execution_using_put**](docs/PipelineControllerApi.md#evaluate_expression_for_execution_using_put) | **PUT** /pipelines/{id}/evaluateExpression | Evaluate a pipeline expression using the provided execution as context
*SwaggerClient::PipelineControllerApi* | [**evaluate_expression_for_execution_via_post_using_post1**](docs/PipelineControllerApi.md#evaluate_expression_for_execution_via_post_using_post1) | **POST** /pipelines/{id}/evaluateExpression | Evaluate a pipeline expression using the provided execution as context
*SwaggerClient::PipelineControllerApi* | [**get_pipeline_logs_using_get**](docs/PipelineControllerApi.md#get_pipeline_logs_using_get) | **GET** /pipelines/{id}/logs | Retrieve pipeline execution logs
*SwaggerClient::PipelineControllerApi* | [**get_pipeline_using_get**](docs/PipelineControllerApi.md#get_pipeline_using_get) | **GET** /pipelines/{id} | Retrieve a pipeline execution
*SwaggerClient::PipelineControllerApi* | [**invoke_pipeline_config_using_post1**](docs/PipelineControllerApi.md#invoke_pipeline_config_using_post1) | **POST** /pipelines/{application}/{pipelineNameOrId} | Trigger a pipeline execution
*SwaggerClient::PipelineControllerApi* | [**invoke_pipeline_config_via_echo_using_post**](docs/PipelineControllerApi.md#invoke_pipeline_config_via_echo_using_post) | **POST** /pipelines/v2/{application}/{pipelineNameOrId} | Trigger a pipeline execution
*SwaggerClient::PipelineControllerApi* | [**pause_pipeline_using_put**](docs/PipelineControllerApi.md#pause_pipeline_using_put) | **PUT** /pipelines/{id}/pause | Pause a pipeline execution
*SwaggerClient::PipelineControllerApi* | [**rename_pipeline_using_post**](docs/PipelineControllerApi.md#rename_pipeline_using_post) | **POST** /pipelines/move | Rename a pipeline definition
*SwaggerClient::PipelineControllerApi* | [**restart_stage_using_put**](docs/PipelineControllerApi.md#restart_stage_using_put) | **PUT** /pipelines/{id}/stages/{stageId}/restart | Restart a stage execution
*SwaggerClient::PipelineControllerApi* | [**resume_pipeline_using_put**](docs/PipelineControllerApi.md#resume_pipeline_using_put) | **PUT** /pipelines/{id}/resume | Resume a pipeline execution
*SwaggerClient::PipelineControllerApi* | [**save_pipeline_using_post**](docs/PipelineControllerApi.md#save_pipeline_using_post) | **POST** /pipelines | Save a pipeline definition
*SwaggerClient::PipelineControllerApi* | [**start_using_post**](docs/PipelineControllerApi.md#start_using_post) | **POST** /pipelines/start | Initiate a pipeline execution
*SwaggerClient::PipelineControllerApi* | [**update_pipeline_using_put**](docs/PipelineControllerApi.md#update_pipeline_using_put) | **PUT** /pipelines/{id} | Update a pipeline definition
*SwaggerClient::PipelineControllerApi* | [**update_stage_using_patch**](docs/PipelineControllerApi.md#update_stage_using_patch) | **PATCH** /pipelines/{id}/stages/{stageId} | Update a stage execution
*SwaggerClient::PipelineTemplatesControllerApi* | [**create_using_post**](docs/PipelineTemplatesControllerApi.md#create_using_post) | **POST** /pipelineTemplates | Create a pipeline template.
*SwaggerClient::PipelineTemplatesControllerApi* | [**delete_using_delete**](docs/PipelineTemplatesControllerApi.md#delete_using_delete) | **DELETE** /pipelineTemplates/{id} | Delete a pipeline template.
*SwaggerClient::PipelineTemplatesControllerApi* | [**get_using_get**](docs/PipelineTemplatesControllerApi.md#get_using_get) | **GET** /pipelineTemplates/{id} | Get a pipeline template.
*SwaggerClient::PipelineTemplatesControllerApi* | [**list_pipeline_template_dependents_using_get**](docs/PipelineTemplatesControllerApi.md#list_pipeline_template_dependents_using_get) | **GET** /pipelineTemplates/{id}/dependents | List all pipelines that implement a pipeline template
*SwaggerClient::PipelineTemplatesControllerApi* | [**list_using_get**](docs/PipelineTemplatesControllerApi.md#list_using_get) | **GET** /pipelineTemplates | List pipeline templates.
*SwaggerClient::PipelineTemplatesControllerApi* | [**resolve_templates_using_get**](docs/PipelineTemplatesControllerApi.md#resolve_templates_using_get) | **GET** /pipelineTemplates/resolve | Resolve a pipeline template.
*SwaggerClient::PipelineTemplatesControllerApi* | [**update_using_post**](docs/PipelineTemplatesControllerApi.md#update_using_post) | **POST** /pipelineTemplates/{id} | Update a pipeline template.
*SwaggerClient::ProjectControllerApi* | [**all_pipelines_for_project_using_get**](docs/ProjectControllerApi.md#all_pipelines_for_project_using_get) | **GET** /projects/{id}/pipelines | Get all pipelines for project
*SwaggerClient::ProjectControllerApi* | [**all_using_get3**](docs/ProjectControllerApi.md#all_using_get3) | **GET** /projects | Get all projects
*SwaggerClient::ProjectControllerApi* | [**get_clusters_using_get3**](docs/ProjectControllerApi.md#get_clusters_using_get3) | **GET** /projects/{id}/clusters | Get a project's clusters
*SwaggerClient::ProjectControllerApi* | [**get_using_get1**](docs/ProjectControllerApi.md#get_using_get1) | **GET** /projects/{id} | Get a project
*SwaggerClient::PubsubSubscriptionControllerApi* | [**all_using_get4**](docs/PubsubSubscriptionControllerApi.md#all_using_get4) | **GET** /pubsub/subscriptions | Retrieve the list of pub/sub subscriptions configured in Echo.
*SwaggerClient::ReorderPipelinesControllerApi* | [**reorder_pipelines_using_post**](docs/ReorderPipelinesControllerApi.md#reorder_pipelines_using_post) | **POST** /actions/pipelines/reorder | Re-order pipelines
*SwaggerClient::SearchControllerApi* | [**search_using_get**](docs/SearchControllerApi.md#search_using_get) | **GET** /search | Search infrastructure
*SwaggerClient::SecurityGroupControllerApi* | [**all_by_account_using_get1**](docs/SecurityGroupControllerApi.md#all_by_account_using_get1) | **GET** /securityGroups/{account} | Retrieve a list of security groups for a given account, grouped by region
*SwaggerClient::SecurityGroupControllerApi* | [**all_using_get5**](docs/SecurityGroupControllerApi.md#all_using_get5) | **GET** /securityGroups | Retrieve a list of security groups, grouped by account, cloud provider, and region
*SwaggerClient::SecurityGroupControllerApi* | [**get_security_group_using_get1**](docs/SecurityGroupControllerApi.md#get_security_group_using_get1) | **GET** /securityGroups/{account}/{region}/{name} | Retrieve a security group's details
*SwaggerClient::ServerGroupControllerApi* | [**get_server_group_details_using_get**](docs/ServerGroupControllerApi.md#get_server_group_details_using_get) | **GET** /applications/{applicationName}/serverGroups/{account}/{region}/{serverGroupName} | Retrieve a server group's details
*SwaggerClient::ServerGroupControllerApi* | [**get_server_groups_for_application_using_get**](docs/ServerGroupControllerApi.md#get_server_groups_for_application_using_get) | **GET** /applications/{applicationName}/serverGroups | Retrieve a list of server groups for a given application
*SwaggerClient::ServerGroupManagerControllerApi* | [**get_server_group_managers_for_application_using_get**](docs/ServerGroupManagerControllerApi.md#get_server_group_managers_for_application_using_get) | **GET** /applications/{application}/serverGroupManagers | Retrieve a list of server group managers for an application
*SwaggerClient::SnapshotControllerApi* | [**get_current_snapshot_using_get**](docs/SnapshotControllerApi.md#get_current_snapshot_using_get) | **GET** /applications/{application}/snapshots/{account} | Get current snapshot
*SwaggerClient::SnapshotControllerApi* | [**get_snapshot_history_using_get**](docs/SnapshotControllerApi.md#get_snapshot_history_using_get) | **GET** /applications/{application}/snapshots/{account}/history | Get snapshot history
*SwaggerClient::SubnetControllerApi* | [**all_by_cloud_provider_using_get1**](docs/SubnetControllerApi.md#all_by_cloud_provider_using_get1) | **GET** /subnets/{cloudProvider} | Retrieve a list of subnets for a given cloud provider
*SwaggerClient::TaskControllerApi* | [**cancel_task_using_put1**](docs/TaskControllerApi.md#cancel_task_using_put1) | **PUT** /tasks/{id}/cancel | Cancel task
*SwaggerClient::TaskControllerApi* | [**cancel_tasks_using_put**](docs/TaskControllerApi.md#cancel_tasks_using_put) | **PUT** /tasks/cancel | Cancel tasks
*SwaggerClient::TaskControllerApi* | [**delete_task_using_delete**](docs/TaskControllerApi.md#delete_task_using_delete) | **DELETE** /tasks/{id} | Delete task
*SwaggerClient::TaskControllerApi* | [**get_task_details_using_get1**](docs/TaskControllerApi.md#get_task_details_using_get1) | **GET** /tasks/{id}/details/{taskDetailsId} | Get task details
*SwaggerClient::TaskControllerApi* | [**get_task_using_get1**](docs/TaskControllerApi.md#get_task_using_get1) | **GET** /tasks/{id} | Get task
*SwaggerClient::TaskControllerApi* | [**task_using_post1**](docs/TaskControllerApi.md#task_using_post1) | **POST** /tasks | Create task
*SwaggerClient::V2CanaryConfigControllerApi* | [**create_canary_config_using_post**](docs/V2CanaryConfigControllerApi.md#create_canary_config_using_post) | **POST** /v2/canaryConfig | Create a canary configuration
*SwaggerClient::V2CanaryConfigControllerApi* | [**delete_canary_config_using_delete**](docs/V2CanaryConfigControllerApi.md#delete_canary_config_using_delete) | **DELETE** /v2/canaryConfig/{id} | Delete a canary configuration
*SwaggerClient::V2CanaryConfigControllerApi* | [**get_canary_config_using_get**](docs/V2CanaryConfigControllerApi.md#get_canary_config_using_get) | **GET** /v2/canaryConfig/{id} | Retrieve a canary configuration by id
*SwaggerClient::V2CanaryConfigControllerApi* | [**get_canary_configs_using_get**](docs/V2CanaryConfigControllerApi.md#get_canary_configs_using_get) | **GET** /v2/canaryConfig | Retrieve a list of canary configurations
*SwaggerClient::V2CanaryConfigControllerApi* | [**update_canary_config_using_put**](docs/V2CanaryConfigControllerApi.md#update_canary_config_using_put) | **PUT** /v2/canaryConfig/{id} | Update a canary configuration
*SwaggerClient::V2CanaryControllerApi* | [**get_canary_result_using_get**](docs/V2CanaryControllerApi.md#get_canary_result_using_get) | **GET** /v2/canaries/canary/{canaryConfigId}/{canaryExecutionId} | Retrieve a canary result
*SwaggerClient::V2CanaryControllerApi* | [**get_canary_results_by_application_using_get**](docs/V2CanaryControllerApi.md#get_canary_results_by_application_using_get) | **GET** /v2/canaries/{application}/executions | Retrieve a list of an application's canary results
*SwaggerClient::V2CanaryControllerApi* | [**get_metric_set_pair_list_using_get**](docs/V2CanaryControllerApi.md#get_metric_set_pair_list_using_get) | **GET** /v2/canaries/metricSetPairList/{metricSetPairListId} | Retrieve a metric set pair list
*SwaggerClient::V2CanaryControllerApi* | [**initiate_canary_using_post**](docs/V2CanaryControllerApi.md#initiate_canary_using_post) | **POST** /v2/canaries/canary/{canaryConfigId} | Start a canary execution
*SwaggerClient::V2CanaryControllerApi* | [**list_credentials_using_get**](docs/V2CanaryControllerApi.md#list_credentials_using_get) | **GET** /v2/canaries/credentials | Retrieve a list of configured Kayenta accounts
*SwaggerClient::V2CanaryControllerApi* | [**list_judges_using_get**](docs/V2CanaryControllerApi.md#list_judges_using_get) | **GET** /v2/canaries/judges | Retrieve a list of all configured canary judges
*SwaggerClient::V2CanaryControllerApi* | [**list_metrics_service_metadata_using_get**](docs/V2CanaryControllerApi.md#list_metrics_service_metadata_using_get) | **GET** /v2/canaries/metadata/metricsService | Retrieve a list of descriptors for use in populating the canary config ui
*SwaggerClient::V2PipelineTemplatesControllerApi* | [**create_using_post1**](docs/V2PipelineTemplatesControllerApi.md#create_using_post1) | **POST** /v2/pipelineTemplates/create | (ALPHA) Create a pipeline template.
*SwaggerClient::V2PipelineTemplatesControllerApi* | [**delete_using_delete1**](docs/V2PipelineTemplatesControllerApi.md#delete_using_delete1) | **DELETE** /v2/pipelineTemplates/{id} | Delete a pipeline template.
*SwaggerClient::V2PipelineTemplatesControllerApi* | [**get_using_get2**](docs/V2PipelineTemplatesControllerApi.md#get_using_get2) | **GET** /v2/pipelineTemplates/{id} | (ALPHA) Get a pipeline template.
*SwaggerClient::V2PipelineTemplatesControllerApi* | [**list_pipeline_template_dependents_using_get1**](docs/V2PipelineTemplatesControllerApi.md#list_pipeline_template_dependents_using_get1) | **GET** /v2/pipelineTemplates/{id}/dependents | (ALPHA) List all pipelines that implement a pipeline template
*SwaggerClient::V2PipelineTemplatesControllerApi* | [**list_using_get1**](docs/V2PipelineTemplatesControllerApi.md#list_using_get1) | **GET** /v2/pipelineTemplates | (ALPHA) List pipeline templates.
*SwaggerClient::V2PipelineTemplatesControllerApi* | [**plan_using_post**](docs/V2PipelineTemplatesControllerApi.md#plan_using_post) | **POST** /v2/pipelineTemplates/plan | (ALPHA) Plan a pipeline template configuration.
*SwaggerClient::V2PipelineTemplatesControllerApi* | [**update_using_post1**](docs/V2PipelineTemplatesControllerApi.md#update_using_post1) | **POST** /v2/pipelineTemplates/update/{id} | (ALPHA) Update a pipeline template.
*SwaggerClient::VersionControllerApi* | [**get_version_using_get**](docs/VersionControllerApi.md#get_version_using_get) | **GET** /version | Fetch Gate's current version
*SwaggerClient::WebhookControllerApi* | [**preconfigured_webhooks_using_get**](docs/WebhookControllerApi.md#preconfigured_webhooks_using_get) | **GET** /webhooks/preconfigured | Retrieve a list of preconfigured webhooks in Orca
*SwaggerClient::WebhookControllerApi* | [**webhooks_using_post**](docs/WebhookControllerApi.md#webhooks_using_post) | **POST** /webhooks/{type}/{source} | Endpoint for posting webhooks to Spinnaker's webhook service


## Documentation for Models

 - [SwaggerClient::Account](docs/Account.md)
 - [SwaggerClient::AccountDetails](docs/AccountDetails.md)
 - [SwaggerClient::GrantedAuthority](docs/GrantedAuthority.md)
 - [SwaggerClient::HashMapstringobject](docs/HashMapstringobject.md)
 - [SwaggerClient::HttpEntity](docs/HttpEntity.md)
 - [SwaggerClient::Mapstringstring](docs/Mapstringstring.md)
 - [SwaggerClient::PipelineTemplateDependent](docs/PipelineTemplateDependent.md)
 - [SwaggerClient::ReorderPipelinesCommand](docs/ReorderPipelinesCommand.md)
 - [SwaggerClient::ResponseEntity](docs/ResponseEntity.md)
 - [SwaggerClient::User](docs/User.md)
 - [SwaggerClient::Version](docs/Version.md)


## Documentation for Authorization

 All endpoints do not require authorization.

