=begin
#Spinnaker API

#No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.7

=end

require 'spec_helper'
require 'json'

# Unit tests for SwaggerClient::ExecutionsControllerApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'ExecutionsControllerApi' do
  before do
    # run before each test
    @instance = SwaggerClient::ExecutionsControllerApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ExecutionsControllerApi' do
    it 'should create an instance of ExecutionsControllerApi' do
      expect(@instance).to be_instance_of(SwaggerClient::ExecutionsControllerApi)
    end
  end

  # unit tests for get_latest_executions_by_config_ids_using_get
  # Retrieves an ad-hoc collection of executions based on a number of user-supplied parameters. Either executionIds or pipelineConfigIds must be supplied in order to return any results. If both are supplied, an exception will be thrown.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :pipeline_config_ids A comma-separated list of pipeline configuration IDs to retrieve recent executions for. Either this OR pipelineConfigIds must be supplied, but not both.
  # @option opts [String] :execution_ids A comma-separated list of executions to retrieve. Either this OR pipelineConfigIds must be supplied, but not both.
  # @option opts [Integer] :limit The number of executions to return per pipeline configuration. Ignored if executionIds parameter is supplied. If this value is missing, it is defaulted to 1.
  # @option opts [String] :statuses A comma-separated list of execution statuses to filter by. Ignored if executionIds parameter is supplied. If this value is missing, it is defaulted to all statuses.
  # @option opts [BOOLEAN] :expand Expands each execution object in the resulting list. If this value is missing, it is defaulted to true.
  # @return [Array<Object>]
  describe 'get_latest_executions_by_config_ids_using_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for search_for_pipeline_executions_by_trigger_using_get
  # Search for pipeline executions using a combination of criteria. The returned list is sorted by buildTime (trigger time) in reverse order so that newer executions are first in the list.
  # @param application Only includes executions that are part of this application. If this value is \&quot;*\&quot;, results will include executions of all applications.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :trigger_types Only includes executions that were triggered by a trigger with a type that is equal to a type provided in this field. The list of trigger types should be a comma-delimited string. If this value is missing, results will includes executions of all trigger types.
  # @option opts [String] :pipeline_name Only includes executions that with this pipeline name.
  # @option opts [String] :event_id Only includes executions that were triggered by a trigger with this eventId.
  # @option opts [String] :trigger Only includes executions that were triggered by a trigger that matches the subset of fields provided by this value. This value should be a base64-encoded string of a JSON representation of a trigger object. The comparison succeeds if the execution trigger contains all the fields of the input trigger, the fields are of the same type, and each value of the field \&quot;matches\&quot;. The term \&quot;matches\&quot; is specific for each field&#39;s type: - For Strings: A String value in the execution&#39;s trigger matches the input trigger&#39;s String value if the former equals the latter (case-insensitive) OR if the former matches the latter as a regular expression. - For Maps: A Map value in the execution&#39;s trigger matches the input trigger&#39;s Map value if the former contains all keys of the latter and their values match. - For Collections: A Collection value in the execution&#39;s trigger matches the input trigger&#39;s Collection value if the former has a unique element that matches each element of the latter. - Every other value is compared using the Java \&quot;equals\&quot; method (Groovy \&quot;&#x3D;&#x3D;\&quot; operator)
  # @option opts [Integer] :trigger_time_start_boundary Only includes executions that were built at or after the given time, represented as a Unix timestamp in ms (UTC). This value must be &gt;&#x3D; 0 and &lt;&#x3D; the value of [triggerTimeEndBoundary], if provided. If this value is missing, it is defaulted to 0.
  # @option opts [Integer] :trigger_time_end_boundary Only includes executions that were built at or before the given time, represented as a Unix timestamp in ms (UTC). This value must be &lt;&#x3D; 9223372036854775807 (Long.MAX_VALUE) and &gt;&#x3D; the value of [triggerTimeStartBoundary], if provided. If this value is missing, it is defaulted to 9223372036854775807.
  # @option opts [String] :statuses Only includes executions with a status that is equal to a status provided in this field. The list of statuses should be given as a comma-delimited string. If this value is missing, includes executions of all statuses. Allowed statuses are: NOT_STARTED, RUNNING, PAUSED, SUSPENDED, SUCCEEDED, FAILED_CONTINUE, TERMINAL, CANCELED, REDIRECT, STOPPED, SKIPPED, BUFFERED.
  # @option opts [Integer] :start_index Sets the first item of the resulting list for pagination. The list is 0-indexed. This value must be &gt;&#x3D; 0. If this value is missing, it is defaulted to 0.
  # @option opts [Integer] :size Sets the size of the resulting list for pagination. This value must be &gt; 0. If this value is missing, it is defaulted to 10.
  # @option opts [BOOLEAN] :reverse Reverses the resulting list before it is paginated. If this value is missing, it is defaulted to false.
  # @option opts [BOOLEAN] :expand Expands each execution object in the resulting list. If this value is missing, it is defaulted to false.
  # @return [Array<Object>]
  describe 'search_for_pipeline_executions_by_trigger_using_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
